Subject: Uncheck FAL image meta data checkboxes by default
Description

When adding an image to a page or content element (using FAL), the checkboxes next to the meta data inputs (title, alternative text
and description) are checked by default. I would like to uncheck them by default, is there any way to do this?
I think having them unchecked and the image inheriting the "global" meta data by default, only to be overridden once the inputs are
actually filled in would result in a better user experience.

Related issues:
related to TYPO3 CMS Usability Team - Bug # 49685: Mask: sys_file / sys_file_... Resolved 2013-07-05

History
#1 - 2013-11-20 12:40 - Markus Klein
- Status changed from New to Needs Feedback

Are you sure, you're having this on 6.1 and not 6.2?

#2 - 2013-11-20 12:42 - Wouter Beeftink

Yup, 6.1.5 to be precise. And they're checked by default. Is there any configuration regarding this setting?

#3 - 2013-11-20 13:17 - Markus Klein
- Status changed from Needs Feedback to Accepted
- Target version set to next-patchlevel

We have to check how this is currently handled on 6.2 as well.

#4 - 2014-01-03 23:08 - Frans Saris

This is resolved in 6.2

#5 - 2014-01-04 17:54 - Markus Klein

The problem is that https://review.typo3.org/21931 has not yet been backported to 6.1 and 6.0.
#6 - 2014-12-23 19:58 - Mathias Schreiber
- Target version changed from next-patchlevel to 7.4 (Backend)

#7 - 2015-01-15 08:56 - Storm Applied Technologies

This is still happening partially with extension like advanced frontend edit: whenever an image is inserted, metadata is checked, causing the extension
to do strange things. Upon manual unchecking of metadata, the image displays properly. see https://forge.typo3.org/issues/64179

#8 - 2015-07-17 21:10 - Benjamin Mack
- Sprint Focus set to On Location Sprint
